import { AxiosRequestConfig } from 'axios';
import { BaseModel } from '../core';
import { ComposeAction } from '../actions/ComposeAction';
export declare abstract class Model<Data = null> extends BaseModel<Data, AxiosRequestConfig> {
    static useLoading(...useLoading: boolean[]): boolean;
    useData(): Data;
    useData<T>(filter: (data: Data) => T): T;
    protected compose<Fn extends (...args: any[]) => Promise<any>>(fn: Fn): Fn & ComposeAction<Data, Fn>;
}
